Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jreqtools
Class IntegerRequester

    java.lang.Object
      |
      +--jreqtools.AbstractRequester
            |
            +--jreqtools.StringRequester
                  |
                  +--jreqtools.IntegerRequester

public class IntegerRequester
extends StringRequester

This is a requester for integer values.

Author:
  Markus Hillenbrand

Fields inherited from class jreqtools.AbstractRequester
`CANCEL, listener, OK`

Constructor Summary
`IntegerRequester()`
`IntegerRequester(int defaultValue)`
`IntegerRequester(java.lang.String message, int defaultValue)`
`IntegerRequester(java.lang.String title, java.lang.String message, int defaultValue)`

Method Summary
`int` | `getInteger()`

Methods inherited from class jreqtools.StringRequester
`createJDialog, getReturnValue, getString, setDefaultChoices, setMessage, setString, setStringChecker`

Methods inherited from class jreqtools.AbstractRequester
`addHelpButton, addHelpButton, getLocation, getSize, request, request, setLocation, setLocation, setParentComponent, setSize, setSize, setTitle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IntegerRequester

    public IntegerRequester()

### IntegerRequester

    public IntegerRequester(int defaultValue)

### IntegerRequester

    public IntegerRequester(java.lang.String message,
                            int defaultValue)

### IntegerRequester

    public IntegerRequester(java.lang.String title,
                            java.lang.String message,
                            int defaultValue)

Method Detail

### getInteger

    public int getInteger()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD